Name:		xcb-util-cursor
Version:	0.1.4
Release:	1
Summary:	Cursor library on top of libxcb
License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://www.x.org/archive/individual/xcb/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:	pkgconfig(xcb-util) >= 0.3.8
BuildRequires:	pkgconfig(xcb-render)
BuildRequires:	pkgconfig(xcb-renderutil)
BuildRequires:	pkgconfig(xcb-image)
BuildRequires:	m4


%description
XCB util-cursor module provides the following libraries:

  - cursor: port of libxcursor


%package 	devel
Summary:	Development and header files for xcb-util-cursos
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
Development files for xcb-util-cursor.


%prep
%setup -q


%build
%configure --with-pic --disable-static --disable-silent-rules
make %{?_smp_mflags}


%check
make check


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm %{buildroot}%{_libdir}/*.la


%ldconfig_post


%ldconfig_postun


%files
%doc README.md
%license COPYING
%{_libdir}/*.so.*


%files devel
%doc NEWS
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/xcb/*.h


%changelog
* Mon May 29 2023 wulei <wu_lei@hoperun.com> - 0.1.4-1
- Upgrade package to version 0.1.4

* Sat Jan 7 2023 yangbo <yangbo1@xfusion.com> - 0.1.3-3
- Build xz tarballs instead of bzip2

* Tue Nov 22 2022 caodongxia <caodongxia@h-partners.com> - 0.1.3-2
- Modify invalid source0

* Fri Aug 7 2020 weidong <weidong@uniontech.com> - 0.1.3-1
- Initial release for OpenEuler
